ControlTimer (Javadocs: controlP5)

controlP5

## Class ControlTimer

- java.lang.Object
- - controlP5.ControlTimer

-     public class ControlTimer
      extends java.lang.Object

  control timer is a timer that can be used for example as a stop watch or a duration timer.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ControlTimer()` create a new control timer, a timer that counts up in time.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `day()` day position of the timer.
    `int` | `hour()` Hour position of the timer in international format (0-23).
    `int` | `millis()` Get the milliseconds of the timer.
    `int` | `minute()` Minutes position of the timer.
    `void` | `reset()` reset the timer.
    `int` | `second()` Seconds position of the timer.
    `void` | `setSpeedOfTime(float theSpeed)` set the speed of time, for slow motion or high speed.
    `long` | `time()` get the time in milliseconds since the timer was started.
    `java.lang.String` | `toString()` return a string representation of the current status of the timer.
    `void` | `update()` called to update the timer.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ControlTimer

          public ControlTimer()

      create a new control timer, a timer that counts up in time.

  - ### Method Detail

    - #### day

          public int day()

      day position of the timer.

    - #### hour

          public int hour()

      Hour position of the timer in international format (0-23).

    - #### millis

          public int millis()

      Get the milliseconds of the timer.

    - #### minute

          public int minute()

      Minutes position of the timer.

    - #### reset

          public void reset()

      reset the timer.

    - #### second

          public int second()

      Seconds position of the timer.

    - #### setSpeedOfTime

          public void setSpeedOfTime(float theSpeed)

      set the speed of time, for slow motion or high speed.
      Parameters:
        `theSpeed` - int

    - #### time

          public long time()

      get the time in milliseconds since the timer was started.
      Returns:
        long

    - #### toString

          public java.lang.String toString()

      return a string representation of the current status of the timer.
      Overrides:
        `toString` in class `java.lang.Object`
      Returns:
        String

    - #### update

          public void update()

      called to update the timer.

processing library controlP5 by Andreas Schlegel. (c) 2006-2015